Subject: Re: Should b44_init lead to WARN_ON in drivers/ssb/driver_gpio.c:464?

From: Michael Büsch <[email-masked]>
Date: Sun, 9 Jun 2019 23:57:11 +0200

On Sun, 9 Jun 2019 17:44:10 -0400
H Buus <[email-masked]> wrote:

> I have an old 32 bit laptop with a BCM4401-B0 100Base-TX ethernet
> controller. For every kernel from 4.19-rc1 going forward, I get a
> warning and call trace within a few seconds of start up (see dmesg
> snippet below). I have traced it to a specific commit (see commit
> below). On the face of it, I would think it is a regression, but it
> doesn't seem to cause a problem, since networking over ethernet is working.

This warning is not a problem. The commit just exposes a warning, that
has always been there.
I suggest we just remove the WARN_ON from ssb_gpio_init and
ssb_gpio_unregister.
I don't see a reason to throw a warning in that case.

-- 
Michael